Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EnginePCSpecInfo

    java.lang.Object
      com.connecterra.ale.alevent.impl.EnginePCSpecInfo

All Implemented Interfaces:
  PCSpecInfo

public class EnginePCSpecInfo
extends java.lang.Object
implements PCSpecInfo

Constructor Summary
`EnginePCSpecInfo()`

Method Summary
`int` | `getActivationCount()` Returns the number of times the programming cycle for the PCSpec has been activated since it was defined.
`long` | `getCacheSize()` Tells how many entries remain in the PCSpec's associated EPC cache.
`long` | `getLastActivated()` Returns the last time the programming cycle for the PCSpec was activated.
`long` | `getLastReported()` Returns the last time a write report was generated by the programming cycle for the PCSpec.
`int` | `getSubscriberCount()` Returns the number of URIs subscribed to a PCSpec.
`boolean` | `isSuspended()` Returns true if the PCSpec processing is suspended.
`void` | `setActivationCount(int count)`
`void` | `setCacheSize(long cacheSize)`
`void` | `setIsSuspended(boolean suspended)`
`void` | `setLastActivated(long millis)`
`void` | `setLastReported(long millis)`
`void` | `setSubscriberCount(int count)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnginePCSpecInfo

    public EnginePCSpecInfo()

Method Detail

### getSubscriberCount

    public int getSubscriberCount()

  Description copied from interface: `PCSpecInfo`
  Returns the number of URIs subscribed to a PCSpec.

  Specified by:
    `getSubscriberCount` in interface `PCSpecInfo`

### setSubscriberCount

    public void setSubscriberCount(int count)

### getActivationCount

    public int getActivationCount()

  Description copied from interface: `PCSpecInfo`
  Returns the number of times the programming cycle for the PCSpec has been activated since it was defined.

  Specified by:
    `getActivationCount` in interface `PCSpecInfo`

### setActivationCount

    public void setActivationCount(int count)

### getLastActivated

    public long getLastActivated()

  Description copied from interface: `PCSpecInfo`
  Returns the last time the programming cycle for the PCSpec was activated.

  Specified by:
    `getLastActivated` in interface `PCSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If the programming cycle has never been activated, returns -1.

### setLastActivated

    public void setLastActivated(long millis)

### getLastReported

    public long getLastReported()

  Description copied from interface: `PCSpecInfo`
  Returns the last time a write report was generated by the programming cycle for the PCSpec.

  Specified by:
    `getLastReported` in interface `PCSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If a report has never been generated, returns -1.

### setLastReported

    public void setLastReported(long millis)

### isSuspended

    public boolean isSuspended()

  Description copied from interface: `PCSpecInfo`
  Returns true if the PCSpec processing is suspended.

  Specified by:
    `isSuspended` in interface `PCSpecInfo`
  See Also:
    `ALEPC.suspend(java.lang.String)`

### setIsSuspended

    public void setIsSuspended(boolean suspended)

### getCacheSize

    public long getCacheSize()

  Description copied from interface: `PCSpecInfo`
  Tells how many entries remain in the PCSpec's associated EPC cache.

  Specified by:
    `getCacheSize` in interface `PCSpecInfo`
  Returns:
    A count of the entries remaining in the EPC cache being used by this PCSpec..

### setCacheSize

    public void setCacheSize(long cacheSize)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD